#include "Composed/robbery3RJ/robbery3RJRJ.h"
char * robbery3RJRJ__SharedNames[] = {"ManagerOffDuty"};

robbery3RJRJ::robbery3RJRJ():Join("Join1", 2, 1,robbery3RJRJ__SharedNames) {
  robbery3 = new robbery3ADVISE();
  ModelArray[0] = (BaseModelClass*) robbery3;
  ModelArray[0]->DefineName("robbery3");
  robbery3Manager = new robbery3ManagerSAN();
  ModelArray[1] = (BaseModelClass*) robbery3Manager;
  ModelArray[1]->DefineName("robbery3Manager");

  SetupActions();
  if (AllChildrenEmpty())
    NumSharedStateVariables = 0;
  else {
    //**************  State sharing info  **************
    //Shared variable 0
    ManagerOffDuty = new Access("ManagerOffDuty");
    addSharedPtr(ManagerOffDuty, "ManagerOffDuty" );
    if (robbery3->NumStateVariables > 0) {
      ManagerOffDuty->ShareWith(getSharableSVPointer(robbery3->ManagerOffDuty));
      addSharingInfo(getSharableSVPointer(robbery3->ManagerOffDuty), ManagerOffDuty, robbery3);
    }
    if (robbery3Manager->NumStateVariables > 0) {
      ManagerOffDuty->ShareWith(getSharableSVPointer(robbery3Manager->managerOffDuty));
      addSharingInfo(getSharableSVPointer(robbery3Manager->managerOffDuty), ManagerOffDuty, robbery3Manager);
    }

  }

  Setup();
}

robbery3RJRJ::~robbery3RJRJ() {
  if (!AllChildrenEmpty()) {
    delete ManagerOffDuty;
  }
  delete robbery3;
  delete robbery3Manager;
}
