
#ifndef robberyStud3RangeSTUDY_H_
#define robberyStud3RangeSTUDY_H_

#include "Reward/robberyRM3/robberyRM3PVNodes.h"
#include "Reward/robberyRM3/robberyRM3PVModel.h"
#include "BaseClasses/GlobalVariables.h"
#include "Study/BaseStudyClass.hpp"

extern Short hasInsiderKnowledge;
extern Short sneakySkillProf;

class robberyStud3RangeStudy : public BaseStudyClass {
public:

robberyStud3RangeStudy();
~robberyStud3RangeStudy();

private:

short *hasInsiderKnowledgeValues;
short *sneakySkillProfValues;

void SetValues_hasInsiderKnowledge();
void SetValues_sneakySkillProf();

void PrintGlobalValues(int);
void *GetGVValue(char *TheGVName);
void OverrideGVValue(char *TheGVName, void *TheGVValue);
void SetGVs(int expnum);
PVModel *GetPVModel(bool expandTimeArrays);
};

#endif

