
#include "Atomic/robbery3/robbery3ADVISE.h"
#include <stdlib.h>
#include <iostream>
#include <math.h>


robbery3ADVISE::robbery3ADVISE() {
  WritedownaccountinformationAD.setParent(this);
  ImpersonatecustomertoobtainmoneyAD.setParent(this);
  DoNothingAD.setParent(this);
  DistractManagerWithPhonyPhoneCallAD.setParent(this);
  WritedownaccountinformationSuccess.setParent(this);
  ImpersonatecustomertoobtainmoneyFailure.setParent(this);
  ImpersonatecustomertoobtainmoneySuccess.setParent(this);
  DoNothingOutcome1.setParent(this);
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.setParent(this);
  DistractManagerWithPhonyPhoneCallSuccess.setParent(this);
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.setParent(this);
  ImpersonatecustomertoobtainmoneyGroup.initialize(2, "ImpersonatecustomertoobtainmoneyGroup");
  ImpersonatecustomertoobtainmoneyGroup.appendGroup((BaseGroupClass*) &ImpersonatecustomertoobtainmoneyFailure);
  ImpersonatecustomertoobtainmoneyGroup.appendGroup((BaseGroupClass*) &ImpersonatecustomertoobtainmoneySuccess);

  DistractManagerWithPhonyPhoneCallGroup.initialize(3, "DistractManagerWithPhonyPhoneCallGroup");
  DistractManagerWithPhonyPhoneCallGroup.appendGroup((BaseGroupClass*) &DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud);
  DistractManagerWithPhonyPhoneCallGroup.appendGroup((BaseGroupClass*) &DistractManagerWithPhonyPhoneCallSuccess);
  DistractManagerWithPhonyPhoneCallGroup.appendGroup((BaseGroupClass*) &DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud);

  AdversaryDecisionGroup.initialize(4, "AdversaryDecisionGroup");
  AdversaryDecisionGroup.appendGroup((BaseGroupClass*) &WritedownaccountinformationAD);
  AdversaryDecisionGroup.appendGroup((BaseGroupClass*) &ImpersonatecustomertoobtainmoneyAD);
  AdversaryDecisionGroup.appendGroup((BaseGroupClass*) &DoNothingAD);
  AdversaryDecisionGroup.appendGroup((BaseGroupClass*) &DistractManagerWithPhonyPhoneCallAD);

  BaseADVISEAction* InitialActions[11] = {
    &WritedownaccountinformationAD, // 0
    &ImpersonatecustomertoobtainmoneyAD, // 1
    &DoNothingAD, // 2
    &DistractManagerWithPhonyPhoneCallAD, // 3
    &WritedownaccountinformationSuccess, // 4
    &ImpersonatecustomertoobtainmoneyFailure, // 5
    &ImpersonatecustomertoobtainmoneySuccess, // 6
    &DoNothingOutcome1, // 7
    &DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud, // 8
    &DistractManagerWithPhonyPhoneCallSuccess, // 9
    &DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud // 10
  };

  Step* InitialSteps[7] = {
      &WritedownaccountinformationSuccess,
      &ImpersonatecustomertoobtainmoneyFailure,
      &ImpersonatecustomertoobtainmoneySuccess,
      &DoNothingOutcome1,
      &DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud,
      &DistractManagerWithPhonyPhoneCallSuccess,
      &DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud
  };

  BaseGroupClass* InitialGroups[5] = {
    (BaseGroupClass*) &WritedownaccountinformationSuccess, // 0
    (BaseGroupClass*) &ImpersonatecustomertoobtainmoneyGroup, // 1
    (BaseGroupClass*) &DoNothingOutcome1, // 2
    (BaseGroupClass*) &DistractManagerWithPhonyPhoneCallGroup, // 3
    (BaseGroupClass*) &AdversaryDecisionGroup
  };

  TellerAccess = new Access("TellerAccess", 1);
  ManagerOffDuty = new Access("ManagerOffDuty", 0);
  CustomerInformation = new Knowledge("CustomerInformation", 0);
  InsiderKnowledge = new Knowledge("InsiderKnowledge", 1);
  ManagerPersonalInformation = new Knowledge("ManagerPersonalInformation", 0);
  SneakySkill = new Skill("SneakySkill", 0);
  Money = new Goal("Money", 0);
  Money->setPayoff(1000);
  MakeDecision = new BeginAdversaryDecision("MakeDecision", 0);
  WritedownaccountinformationWeight = new StepWeight("WritedownaccountinformationWeight", 0);
  WritedownaccountinformationChosen = new StepChosen("WritedownaccountinformationChosen", 0);
  ImpersonatecustomertoobtainmoneyWeight = new StepWeight("ImpersonatecustomertoobtainmoneyWeight", 0);
  ImpersonatecustomertoobtainmoneyChosen = new StepChosen("ImpersonatecustomertoobtainmoneyChosen", 0);
  DoNothingWeight = new StepWeight("DoNothingWeight", 0);
  DoNothingChosen = new StepChosen("DoNothingChosen", 0);
  DistractManagerWithPhonyPhoneCallWeight = new StepWeight("DistractManagerWithPhonyPhoneCallWeight", 0);
  DistractManagerWithPhonyPhoneCallChosen = new StepChosen("DistractManagerWithPhonyPhoneCallChosen", 0);

  Goal* InitialGoals[1] = {
      Money
  };

  ADVISEStateVariable* InitialSVs[16] = {
    TellerAccess, // 0
    ManagerOffDuty, // 1
    CustomerInformation, // 2
    InsiderKnowledge, // 3
    ManagerPersonalInformation, // 4
    SneakySkill, // 5
    Money, // 6
    WritedownaccountinformationChosen, // 7
    ImpersonatecustomertoobtainmoneyChosen, // 8
    DoNothingChosen, // 9
    DistractManagerWithPhonyPhoneCallChosen, // 10
    WritedownaccountinformationWeight, // 11
    ImpersonatecustomertoobtainmoneyWeight, // 12
    DoNothingWeight, // 13
    DistractManagerWithPhonyPhoneCallWeight, // 14
    MakeDecision // 15
};

  int outCounts[4] = { 1, 2, 1, 3 };

  commonInit("robbery3", 16, InitialSVs, 11, InitialActions, 5, InitialGroups, 4, outCounts, InitialSteps, 1, InitialGoals);

  advCostPref = 0.0;
  advDetectPref = 0.2;
  advPayPref = 0.8;

  planningHorizon = 2;
  costDiscount = 1.0;
  detectionDiscount = 1.0;
  payoffDiscount = 1.0;

  assignSVsToAttackSteps();

  int AffectArcs[71][2] = {
    {15,0}, {7,0}, {11,0}, {15,1}, {8,1}, {12,1}, {15,2}, {9,2}, 
    {13,2}, {15,3}, {10,3}, {14,3}, {15,4}, {7,4}, {11,4}, {12,4}, 
    {13,4}, {14,4}, {2,4}, {3,4}, {0,4}, {15,5}, {8,5}, {11,5}, 
    {12,5}, {13,5}, {14,5}, {6,5}, {0,5}, {2,5}, {1,5}, {15,6}, 
    {8,6}, {11,6}, {12,6}, {13,6}, {14,6}, {6,6}, {0,6}, {2,6}, 
    {1,6}, {15,7}, {9,7}, {11,7}, {12,7}, {13,7}, {14,7}, {15,8}, 
    {10,8}, {11,8}, {12,8}, {13,8}, {14,8}, {1,8}, {4,8}, {15,9}, 
    {10,9}, {11,9}, {12,9}, {13,9}, {14,9}, {1,9}, {4,9}, {15,10}, 
    {10,10}, {11,10}, {12,10}, {13,10}, {14,10}, {1,10}, {4,10}
};
  for(int n = 0; n < 71;n++)
    AddAffectArc(InitialSVs[AffectArcs[n][0]], InitialActions[AffectArcs[n][1]]);
  int EnableArcs[19][2] = {
    {15,0}, {15,1}, {15,2}, {15,3}, {7,4}, {2,4}, {8,5}, {6,5}, 
    {0,5}, {8,6}, {6,6}, {0,6}, {9,7}, {10,8}, {1,8}, {10,9}, 
    {1,9}, {10,10}, {1,10}
};
  for(int n = 0; n < 19;n++)
    AddEnableArc(InitialSVs[EnableArcs[n][0]], InitialActions[EnableArcs[n][1]]);
  for(int x = 0; x < 11; x++) {
    InitialActions[x]->LinkVariables();
  }

  customInitialization();

  recalculateAdversaryDecisionWeights();

}

robbery3ADVISE::~robbery3ADVISE() {
}

void robbery3ADVISE::assignSVsToAttackSteps() {
  WritedownaccountinformationSuccess.CustomerInformation = CustomerInformation;
  WritedownaccountinformationSuccess.InsiderKnowledge = InsiderKnowledge;
  WritedownaccountinformationSuccess.SneakySkill = SneakySkill;
  WritedownaccountinformationSuccess.TellerAccess = TellerAccess;
  WritedownaccountinformationSuccess.WritedownaccountinformationChosen = WritedownaccountinformationChosen;
  WritedownaccountinformationSuccess.WritedownaccountinformationWeight = WritedownaccountinformationWeight;
  WritedownaccountinformationSuccess.ImpersonatecustomertoobtainmoneyWeight = ImpersonatecustomertoobtainmoneyWeight;
  WritedownaccountinformationSuccess.DoNothingWeight = DoNothingWeight;
  WritedownaccountinformationSuccess.DistractManagerWithPhonyPhoneCallWeight = DistractManagerWithPhonyPhoneCallWeight;
  WritedownaccountinformationSuccess.MakeDecision = MakeDecision;
  WritedownaccountinformationSuccess.setSVs(WritedownaccountinformationChosen, WritedownaccountinformationWeight);
  ImpersonatecustomertoobtainmoneyFailure.Money = Money;
  ImpersonatecustomertoobtainmoneyFailure.TellerAccess = TellerAccess;
  ImpersonatecustomertoobtainmoneyFailure.CustomerInformation = CustomerInformation;
  ImpersonatecustomertoobtainmoneyFailure.ManagerOffDuty = ManagerOffDuty;
  ImpersonatecustomertoobtainmoneyFailure.ImpersonatecustomertoobtainmoneyChosen = ImpersonatecustomertoobtainmoneyChosen;
  ImpersonatecustomertoobtainmoneyFailure.WritedownaccountinformationWeight = WritedownaccountinformationWeight;
  ImpersonatecustomertoobtainmoneyFailure.ImpersonatecustomertoobtainmoneyWeight = ImpersonatecustomertoobtainmoneyWeight;
  ImpersonatecustomertoobtainmoneyFailure.DoNothingWeight = DoNothingWeight;
  ImpersonatecustomertoobtainmoneyFailure.DistractManagerWithPhonyPhoneCallWeight = DistractManagerWithPhonyPhoneCallWeight;
  ImpersonatecustomertoobtainmoneyFailure.MakeDecision = MakeDecision;
  ImpersonatecustomertoobtainmoneyFailure.setSVs(ImpersonatecustomertoobtainmoneyChosen, ImpersonatecustomertoobtainmoneyWeight);
  ImpersonatecustomertoobtainmoneySuccess.Money = Money;
  ImpersonatecustomertoobtainmoneySuccess.TellerAccess = TellerAccess;
  ImpersonatecustomertoobtainmoneySuccess.CustomerInformation = CustomerInformation;
  ImpersonatecustomertoobtainmoneySuccess.ManagerOffDuty = ManagerOffDuty;
  ImpersonatecustomertoobtainmoneySuccess.ImpersonatecustomertoobtainmoneyChosen = ImpersonatecustomertoobtainmoneyChosen;
  ImpersonatecustomertoobtainmoneySuccess.WritedownaccountinformationWeight = WritedownaccountinformationWeight;
  ImpersonatecustomertoobtainmoneySuccess.ImpersonatecustomertoobtainmoneyWeight = ImpersonatecustomertoobtainmoneyWeight;
  ImpersonatecustomertoobtainmoneySuccess.DoNothingWeight = DoNothingWeight;
  ImpersonatecustomertoobtainmoneySuccess.DistractManagerWithPhonyPhoneCallWeight = DistractManagerWithPhonyPhoneCallWeight;
  ImpersonatecustomertoobtainmoneySuccess.MakeDecision = MakeDecision;
  ImpersonatecustomertoobtainmoneySuccess.setSVs(ImpersonatecustomertoobtainmoneyChosen, ImpersonatecustomertoobtainmoneyWeight);
  DoNothingOutcome1.DoNothingChosen = DoNothingChosen;
  DoNothingOutcome1.WritedownaccountinformationWeight = WritedownaccountinformationWeight;
  DoNothingOutcome1.ImpersonatecustomertoobtainmoneyWeight = ImpersonatecustomertoobtainmoneyWeight;
  DoNothingOutcome1.DoNothingWeight = DoNothingWeight;
  DoNothingOutcome1.DistractManagerWithPhonyPhoneCallWeight = DistractManagerWithPhonyPhoneCallWeight;
  DoNothingOutcome1.MakeDecision = MakeDecision;
  DoNothingOutcome1.setSVs(DoNothingChosen, DoNothingWeight);
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.ManagerOffDuty = ManagerOffDuty;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.ManagerPersonalInformation = ManagerPersonalInformation;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.SneakySkill = SneakySkill;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.DistractManagerWithPhonyPhoneCallChosen = DistractManagerWithPhonyPhoneCallChosen;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.WritedownaccountinformationWeight = WritedownaccountinformationWeight;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.ImpersonatecustomertoobtainmoneyWeight = ImpersonatecustomertoobtainmoneyWeight;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.DoNothingWeight = DoNothingWeight;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.DistractManagerWithPhonyPhoneCallWeight = DistractManagerWithPhonyPhoneCallWeight;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.MakeDecision = MakeDecision;
  DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraud.setSVs(DistractManagerWithPhonyPhoneCallChosen, DistractManagerWithPhonyPhoneCallWeight);
  DistractManagerWithPhonyPhoneCallSuccess.ManagerOffDuty = ManagerOffDuty;
  DistractManagerWithPhonyPhoneCallSuccess.ManagerPersonalInformation = ManagerPersonalInformation;
  DistractManagerWithPhonyPhoneCallSuccess.SneakySkill = SneakySkill;
  DistractManagerWithPhonyPhoneCallSuccess.DistractManagerWithPhonyPhoneCallChosen = DistractManagerWithPhonyPhoneCallChosen;
  DistractManagerWithPhonyPhoneCallSuccess.WritedownaccountinformationWeight = WritedownaccountinformationWeight;
  DistractManagerWithPhonyPhoneCallSuccess.ImpersonatecustomertoobtainmoneyWeight = ImpersonatecustomertoobtainmoneyWeight;
  DistractManagerWithPhonyPhoneCallSuccess.DoNothingWeight = DoNothingWeight;
  DistractManagerWithPhonyPhoneCallSuccess.DistractManagerWithPhonyPhoneCallWeight = DistractManagerWithPhonyPhoneCallWeight;
  DistractManagerWithPhonyPhoneCallSuccess.MakeDecision = MakeDecision;
  DistractManagerWithPhonyPhoneCallSuccess.setSVs(DistractManagerWithPhonyPhoneCallChosen, DistractManagerWithPhonyPhoneCallWeight);
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.ManagerOffDuty = ManagerOffDuty;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.ManagerPersonalInformation = ManagerPersonalInformation;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.SneakySkill = SneakySkill;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.DistractManagerWithPhonyPhoneCallChosen = DistractManagerWithPhonyPhoneCallChosen;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.WritedownaccountinformationWeight = WritedownaccountinformationWeight;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.ImpersonatecustomertoobtainmoneyWeight = ImpersonatecustomertoobtainmoneyWeight;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.DoNothingWeight = DoNothingWeight;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.DistractManagerWithPhonyPhoneCallWeight = DistractManagerWithPhonyPhoneCallWeight;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.MakeDecision = MakeDecision;
  DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraud.setSVs(DistractManagerWithPhonyPhoneCallChosen, DistractManagerWithPhonyPhoneCallWeight);

  WritedownaccountinformationAD.MakeDecision = MakeDecision;
  WritedownaccountinformationAD.WritedownaccountinformationChosen = WritedownaccountinformationChosen;
  WritedownaccountinformationAD.WritedownaccountinformationWeight = WritedownaccountinformationWeight;
  ImpersonatecustomertoobtainmoneyAD.MakeDecision = MakeDecision;
  ImpersonatecustomertoobtainmoneyAD.ImpersonatecustomertoobtainmoneyChosen = ImpersonatecustomertoobtainmoneyChosen;
  ImpersonatecustomertoobtainmoneyAD.ImpersonatecustomertoobtainmoneyWeight = ImpersonatecustomertoobtainmoneyWeight;
  DoNothingAD.MakeDecision = MakeDecision;
  DoNothingAD.DoNothingChosen = DoNothingChosen;
  DoNothingAD.DoNothingWeight = DoNothingWeight;
  DistractManagerWithPhonyPhoneCallAD.MakeDecision = MakeDecision;
  DistractManagerWithPhonyPhoneCallAD.DistractManagerWithPhonyPhoneCallChosen = DistractManagerWithPhonyPhoneCallChosen;
  DistractManagerWithPhonyPhoneCallAD.DistractManagerWithPhonyPhoneCallWeight = DistractManagerWithPhonyPhoneCallWeight;
}

double robbery3ADVISE::convertCostToUtility(double cost) {
  const double esquared = 7.389056099; // e^(2)
  if(cost < 0)
    return 1.0;
  else if(cost > 100)
    return 0.0;
  else {
    return (esquared - exp(cost/50))/(-1 + esquared);
  }
}

double robbery3ADVISE::convertPayoffToUtility(double payoff) {
  const double etoten = 28.031624895; // e^(10/3)
  if(payoff < 0)
    return 0;
  else if(payoff > 1000)
    return 1;
  else {
    return (etoten - (etoten/exp(payoff/300)))/(-1 + etoten);
  }
}

double robbery3ADVISE::convertDetectionToUtility(double detection) {
  const double esquared = 7.389056099; // e^(2)
  if(detection < 0)
    return 1;
  else if(detection > 1)
    return 0;
  else {
    return (1-(esquared/exp(2*detection)))/(1-esquared);
  }
}

void robbery3ADVISE::customInitialization() {
InsiderKnowledge->Mark() = hasInsiderKnowledge;
}

/*****************************************************************/
/*                   Attack Step Definitions                     */
/*****************************************************************/

/*====================== WritedownaccountinformationSuccessStep ========================*/

robbery3ADVISE::WritedownaccountinformationSuccessStep::WritedownaccountinformationSuccessStep() {
  TheDistributionParameters = new double[1];
  commonInit("WritedownaccountinformationSuccessStep", 0, Deterministic, RaceEnabled, 10, 1, false);}

robbery3ADVISE::WritedownaccountinformationSuccessStep::~WritedownaccountinformationSuccessStep() {
  delete[] TheDistributionParameters;
}

void robbery3ADVISE::WritedownaccountinformationSuccessStep::LinkVariables() {
  CustomerInformation->Register(&CustomerInformation_Mobius_Mark);
  InsiderKnowledge->Register(&InsiderKnowledge_Mobius_Mark);
  SneakySkill->Register(&SneakySkill_Mobius_Mark);
  TellerAccess->Register(&TellerAccess_Mobius_Mark);
  WritedownaccountinformationChosen->Register(&WritedownaccountinformationChosen_Mobius_Mark);
  WritedownaccountinformationWeight->Register(&WritedownaccountinformationWeight_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyWeight->Register(&ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark);
  DoNothingWeight->Register(&DoNothingWeight_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallWeight->Register(&DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark);
  MakeDecision->Register(&MakeDecision_Mobius_Mark);

}

bool robbery3ADVISE::WritedownaccountinformationSuccessStep::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(WritedownaccountinformationChosen_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::WritedownaccountinformationSuccessStep::timeDistributionParameter0() {
return 5;
}

double robbery3ADVISE::WritedownaccountinformationSuccessStep::Weight() {
  return 1;
}

bool robbery3ADVISE::WritedownaccountinformationSuccessStep::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::WritedownaccountinformationSuccessStep::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::WritedownaccountinformationSuccessStep::SampleDistribution() {
  return TheDistribution->Deterministic(timeDistributionParameter0());
}

double *robbery3ADVISE::WritedownaccountinformationSuccessStep::ReturnDistributionParameters() {
  TheDistributionParameters[0] = timeDistributionParameter0();
  return TheDistributionParameters;
}

int robbery3ADVISE::WritedownaccountinformationSuccessStep::Rank() {
  return 1;
}

bool robbery3ADVISE::WritedownaccountinformationSuccessStep::preconditionsMet() {
return !CustomerInformation->Mark() && TellerAccess->Mark() 
      && (InsiderKnowledge->Mark() || SneakySkill->Mark() >500);
  return true;
}

void robbery3ADVISE::WritedownaccountinformationSuccessStep::executeEffects() {
CustomerInformation->Mark() = true;
}

double robbery3ADVISE::WritedownaccountinformationSuccessStep::getCost() {
return 0;
}

double robbery3ADVISE::WritedownaccountinformationSuccessStep::getOutcomeProbability() {
return 1;
}

double robbery3ADVISE::WritedownaccountinformationSuccessStep::getDetection() {
return 0.1;
}

/*====================== ImpersonatecustomertoobtainmoneyFailureStep ========================*/

robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::ImpersonatecustomertoobtainmoneyFailureStep() {
  TheDistributionParameters = new double[1];
  commonInit("ImpersonatecustomertoobtainmoneyFailureStep", 1, Deterministic, RaceEnabled, 10, 2, false);}

robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::~ImpersonatecustomertoobtainmoneyFailureStep() {
  delete[] TheDistributionParameters;
}

void robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::LinkVariables() {
  Money->Register(&Money_Mobius_Mark);
  TellerAccess->Register(&TellerAccess_Mobius_Mark);
  CustomerInformation->Register(&CustomerInformation_Mobius_Mark);
  ManagerOffDuty->Register(&ManagerOffDuty_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyChosen->Register(&ImpersonatecustomertoobtainmoneyChosen_Mobius_Mark);
  WritedownaccountinformationWeight->Register(&WritedownaccountinformationWeight_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyWeight->Register(&ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark);
  DoNothingWeight->Register(&DoNothingWeight_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallWeight->Register(&DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark);
  MakeDecision->Register(&MakeDecision_Mobius_Mark);

}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(ImpersonatecustomertoobtainmoneyChosen_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::timeDistributionParameter0() {
return 10;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::Weight() {
if(ManagerOffDuty->Mark()) return 0.1; else return 0.4;
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::SampleDistribution() {
  return TheDistribution->Deterministic(timeDistributionParameter0());
}

double *robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::ReturnDistributionParameters() {
  TheDistributionParameters[0] = timeDistributionParameter0();
  return TheDistributionParameters;
}

int robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::Rank() {
  return 1;
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::preconditionsMet() {
return CustomerInformation->Mark() && !Money->Mark();
  return true;
}

void robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::executeEffects() {
if(!ManagerOffDuty->Mark()) { CustomerInformation->Mark() = false; TellerAccess->Mark() = false; }
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::getCost() {
return 0;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::getOutcomeProbability() {
if(ManagerOffDuty->Mark()) return 0.1; else return 0.4;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneyFailureStep::getDetection() {
if(ManagerOffDuty->Mark()) return 0.2; else return 0.9;
}

/*====================== ImpersonatecustomertoobtainmoneySuccessStep ========================*/

robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::ImpersonatecustomertoobtainmoneySuccessStep() {
  TheDistributionParameters = new double[1];
  commonInit("ImpersonatecustomertoobtainmoneySuccessStep", 1, Deterministic, RaceEnabled, 10, 2, false);}

robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::~ImpersonatecustomertoobtainmoneySuccessStep() {
  delete[] TheDistributionParameters;
}

void robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::LinkVariables() {
  Money->Register(&Money_Mobius_Mark);
  TellerAccess->Register(&TellerAccess_Mobius_Mark);
  CustomerInformation->Register(&CustomerInformation_Mobius_Mark);
  ManagerOffDuty->Register(&ManagerOffDuty_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyChosen->Register(&ImpersonatecustomertoobtainmoneyChosen_Mobius_Mark);
  WritedownaccountinformationWeight->Register(&WritedownaccountinformationWeight_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyWeight->Register(&ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark);
  DoNothingWeight->Register(&DoNothingWeight_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallWeight->Register(&DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark);
  MakeDecision->Register(&MakeDecision_Mobius_Mark);

}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(ImpersonatecustomertoobtainmoneyChosen_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::timeDistributionParameter0() {
return 10;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::Weight() {
if(ManagerOffDuty->Mark()) return 0.9; else return 0.6;
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::SampleDistribution() {
  return TheDistribution->Deterministic(timeDistributionParameter0());
}

double *robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::ReturnDistributionParameters() {
  TheDistributionParameters[0] = timeDistributionParameter0();
  return TheDistributionParameters;
}

int robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::Rank() {
  return 1;
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::preconditionsMet() {
return CustomerInformation->Mark() && !Money->Mark();
  return true;
}

void robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::executeEffects() {
Money->Mark() = true;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::getCost() {
return 0;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::getOutcomeProbability() {
if(ManagerOffDuty->Mark()) return 0.9; else return 0.6;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneySuccessStep::getDetection() {
if(ManagerOffDuty->Mark()) return 0; else return 0.1;

}

/*====================== DoNothingOutcome1Step ========================*/

robbery3ADVISE::DoNothingOutcome1Step::DoNothingOutcome1Step() {
  TheDistributionParameters = new double[1];
  commonInit("DoNothingOutcome1Step", 2, Deterministic, RaceEnabled, 6, 0, false);}

robbery3ADVISE::DoNothingOutcome1Step::~DoNothingOutcome1Step() {
  delete[] TheDistributionParameters;
}

void robbery3ADVISE::DoNothingOutcome1Step::LinkVariables() {
  DoNothingChosen->Register(&DoNothingChosen_Mobius_Mark);
  WritedownaccountinformationWeight->Register(&WritedownaccountinformationWeight_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyWeight->Register(&ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark);
  DoNothingWeight->Register(&DoNothingWeight_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallWeight->Register(&DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark);
  MakeDecision->Register(&MakeDecision_Mobius_Mark);

}

bool robbery3ADVISE::DoNothingOutcome1Step::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(DoNothingChosen_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::DoNothingOutcome1Step::timeDistributionParameter0() {
return 1;
}

double robbery3ADVISE::DoNothingOutcome1Step::Weight() {
  return 1;
}

bool robbery3ADVISE::DoNothingOutcome1Step::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::DoNothingOutcome1Step::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::DoNothingOutcome1Step::SampleDistribution() {
  return TheDistribution->Deterministic(timeDistributionParameter0());
}

double *robbery3ADVISE::DoNothingOutcome1Step::ReturnDistributionParameters() {
  TheDistributionParameters[0] = timeDistributionParameter0();
  return TheDistributionParameters;
}

int robbery3ADVISE::DoNothingOutcome1Step::Rank() {
  return 1;
}

bool robbery3ADVISE::DoNothingOutcome1Step::preconditionsMet() {

  return true;
}

void robbery3ADVISE::DoNothingOutcome1Step::executeEffects() {

}

double robbery3ADVISE::DoNothingOutcome1Step::getCost() {
return 0;
}

double robbery3ADVISE::DoNothingOutcome1Step::getOutcomeProbability() {
return 1;
}

double robbery3ADVISE::DoNothingOutcome1Step::getDetection() {
return 0;
}

/*====================== DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep ========================*/

robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep() {
  TheDistributionParameters = new double[2];
  commonInit("DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep", 3, Normal, RaceEnabled, 9, 1, false);}

robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::~DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep() {
  delete[] TheDistributionParameters;
}

void robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::LinkVariables() {
  ManagerOffDuty->Register(&ManagerOffDuty_Mobius_Mark);
  ManagerPersonalInformation->Register(&ManagerPersonalInformation_Mobius_Mark);
  SneakySkill->Register(&SneakySkill_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallChosen->Register(&DistractManagerWithPhonyPhoneCallChosen_Mobius_Mark);
  WritedownaccountinformationWeight->Register(&WritedownaccountinformationWeight_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyWeight->Register(&ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark);
  DoNothingWeight->Register(&DoNothingWeight_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallWeight->Register(&DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark);
  MakeDecision->Register(&MakeDecision_Mobius_Mark);

}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(DistractManagerWithPhonyPhoneCallChosen_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::timeDistributionParameter0() {
if(SneakySkill->Mark() > 400) return 2; else return 6;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::timeDistributionParameter1() {
return 1;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::Weight() {
return .1;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::SampleDistribution() {
  return TheDistribution->Normal(timeDistributionParameter0(), timeDistributionParameter1());
}

double *robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::ReturnDistributionParameters() {
  TheDistributionParameters[0] = timeDistributionParameter0();
  TheDistributionParameters[1] = timeDistributionParameter1();
  return TheDistributionParameters;
}

int robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::Rank() {
  return 1;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::preconditionsMet() {
return ManagerPersonalInformation->Mark() && !ManagerOffDuty->Mark();
  return true;
}

void robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::executeEffects() {
ManagerPersonalInformation->Mark() = false;

}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::getCost() {
return 0;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::getOutcomeProbability() {
return .1;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDetectsFraudStep::getDetection() {
return 0.9;
}

/*====================== DistractManagerWithPhonyPhoneCallSuccessStep ========================*/

robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::DistractManagerWithPhonyPhoneCallSuccessStep() {
  TheDistributionParameters = new double[2];
  commonInit("DistractManagerWithPhonyPhoneCallSuccessStep", 3, Normal, RaceEnabled, 9, 1, false);}

robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::~DistractManagerWithPhonyPhoneCallSuccessStep() {
  delete[] TheDistributionParameters;
}

void robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::LinkVariables() {
  ManagerOffDuty->Register(&ManagerOffDuty_Mobius_Mark);
  ManagerPersonalInformation->Register(&ManagerPersonalInformation_Mobius_Mark);
  SneakySkill->Register(&SneakySkill_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallChosen->Register(&DistractManagerWithPhonyPhoneCallChosen_Mobius_Mark);
  WritedownaccountinformationWeight->Register(&WritedownaccountinformationWeight_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyWeight->Register(&ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark);
  DoNothingWeight->Register(&DoNothingWeight_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallWeight->Register(&DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark);
  MakeDecision->Register(&MakeDecision_Mobius_Mark);

}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(DistractManagerWithPhonyPhoneCallChosen_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::timeDistributionParameter0() {
if(SneakySkill->Mark() > 400) return 2; else return 6;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::timeDistributionParameter1() {
return 1;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::Weight() {
return 0.7;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::SampleDistribution() {
  return TheDistribution->Normal(timeDistributionParameter0(), timeDistributionParameter1());
}

double *robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::ReturnDistributionParameters() {
  TheDistributionParameters[0] = timeDistributionParameter0();
  TheDistributionParameters[1] = timeDistributionParameter1();
  return TheDistributionParameters;
}

int robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::Rank() {
  return 1;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::preconditionsMet() {
return ManagerPersonalInformation->Mark() && !ManagerOffDuty->Mark();
  return true;
}

void robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::executeEffects() {
ManagerOffDuty->Mark() = true;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::getCost() {
return 0;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::getOutcomeProbability() {
return 0.7;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallSuccessStep::getDetection() {
return 0;
}

/*====================== DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep ========================*/

robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep() {
  TheDistributionParameters = new double[2];
  commonInit("DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep", 3, Normal, RaceEnabled, 9, 1, false);}

robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::~DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep() {
  delete[] TheDistributionParameters;
}

void robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::LinkVariables() {
  ManagerOffDuty->Register(&ManagerOffDuty_Mobius_Mark);
  ManagerPersonalInformation->Register(&ManagerPersonalInformation_Mobius_Mark);
  SneakySkill->Register(&SneakySkill_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallChosen->Register(&DistractManagerWithPhonyPhoneCallChosen_Mobius_Mark);
  WritedownaccountinformationWeight->Register(&WritedownaccountinformationWeight_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyWeight->Register(&ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark);
  DoNothingWeight->Register(&DoNothingWeight_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallWeight->Register(&DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark);
  MakeDecision->Register(&MakeDecision_Mobius_Mark);

}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(DistractManagerWithPhonyPhoneCallChosen_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::timeDistributionParameter0() {
if(SneakySkill->Mark() > 400) return 2; else return 6;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::timeDistributionParameter1() {
return 1;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::Weight() {
return 0.2;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::SampleDistribution() {
  return TheDistribution->Normal(timeDistributionParameter0(), timeDistributionParameter1());
}

double *robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::ReturnDistributionParameters() {
  TheDistributionParameters[0] = timeDistributionParameter0();
  TheDistributionParameters[1] = timeDistributionParameter1();
  return TheDistributionParameters;
}

int robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::Rank() {
  return 1;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::preconditionsMet() {
return ManagerPersonalInformation->Mark() && !ManagerOffDuty->Mark();
  return true;
}

void robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::executeEffects() {

}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::getCost() {
return 0;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::getOutcomeProbability() {
return 0.2;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallFailureManagerDoesNotDetectFraudStep::getDetection() {
return 0.1;
}

/*****************************************************************/
/*                   Adversary Decisions                         */
/*****************************************************************/

/*====================== WritedownaccountinformationAdversaryDecision ========================*/

robbery3ADVISE::WritedownaccountinformationAdversaryDecision::WritedownaccountinformationAdversaryDecision() {
  commonInit("WritedownaccountinformationAdversaryDecision", 4, Instantaneous, RaceEnabled, 2, 1, false);
}

robbery3ADVISE::WritedownaccountinformationAdversaryDecision::~WritedownaccountinformationAdversaryDecision() {
}

void robbery3ADVISE::WritedownaccountinformationAdversaryDecision::LinkVariables() {
  MakeDecision->Register(&MakeDecision_Mobius_Mark);
  WritedownaccountinformationChosen->Register(&WritedownaccountinformationChosen_Mobius_Mark);
  WritedownaccountinformationWeight->Register(&WritedownaccountinformationWeight_Mobius_Mark);
}

bool robbery3ADVISE::WritedownaccountinformationAdversaryDecision::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(MakeDecision_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::WritedownaccountinformationAdversaryDecision::Weight() {
  return WritedownaccountinformationWeight->Mark();
}

bool robbery3ADVISE::WritedownaccountinformationAdversaryDecision::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::WritedownaccountinformationAdversaryDecision::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::WritedownaccountinformationAdversaryDecision::SampleDistribution() {
  return 0;
}

double* robbery3ADVISE::WritedownaccountinformationAdversaryDecision::ReturnDistributionParameters() {
  return NULL;
}

int robbery3ADVISE::WritedownaccountinformationAdversaryDecision::Rank() {
  return 1;
}

BaseActionClass* robbery3ADVISE::WritedownaccountinformationAdversaryDecision::Fire() {
  (*(MakeDecision_Mobius_Mark))--;
  (*(WritedownaccountinformationWeight_Mobius_Mark))--;
  (*(WritedownaccountinformationChosen_Mobius_Mark))++;
  return this;
}

/*====================== ImpersonatecustomertoobtainmoneyAdversaryDecision ========================*/

robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::ImpersonatecustomertoobtainmoneyAdversaryDecision() {
  commonInit("ImpersonatecustomertoobtainmoneyAdversaryDecision", 4, Instantaneous, RaceEnabled, 2, 1, false);
}

robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::~ImpersonatecustomertoobtainmoneyAdversaryDecision() {
}

void robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::LinkVariables() {
  MakeDecision->Register(&MakeDecision_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyChosen->Register(&ImpersonatecustomertoobtainmoneyChosen_Mobius_Mark);
  ImpersonatecustomertoobtainmoneyWeight->Register(&ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark);
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(MakeDecision_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::Weight() {
  return ImpersonatecustomertoobtainmoneyWeight->Mark();
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::SampleDistribution() {
  return 0;
}

double* robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::ReturnDistributionParameters() {
  return NULL;
}

int robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::Rank() {
  return 1;
}

BaseActionClass* robbery3ADVISE::ImpersonatecustomertoobtainmoneyAdversaryDecision::Fire() {
  (*(MakeDecision_Mobius_Mark))--;
  (*(ImpersonatecustomertoobtainmoneyWeight_Mobius_Mark))--;
  (*(ImpersonatecustomertoobtainmoneyChosen_Mobius_Mark))++;
  return this;
}

/*====================== DoNothingAdversaryDecision ========================*/

robbery3ADVISE::DoNothingAdversaryDecision::DoNothingAdversaryDecision() {
  commonInit("DoNothingAdversaryDecision", 4, Instantaneous, RaceEnabled, 2, 1, false);
}

robbery3ADVISE::DoNothingAdversaryDecision::~DoNothingAdversaryDecision() {
}

void robbery3ADVISE::DoNothingAdversaryDecision::LinkVariables() {
  MakeDecision->Register(&MakeDecision_Mobius_Mark);
  DoNothingChosen->Register(&DoNothingChosen_Mobius_Mark);
  DoNothingWeight->Register(&DoNothingWeight_Mobius_Mark);
}

bool robbery3ADVISE::DoNothingAdversaryDecision::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(MakeDecision_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::DoNothingAdversaryDecision::Weight() {
  return DoNothingWeight->Mark();
}

bool robbery3ADVISE::DoNothingAdversaryDecision::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::DoNothingAdversaryDecision::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::DoNothingAdversaryDecision::SampleDistribution() {
  return 0;
}

double* robbery3ADVISE::DoNothingAdversaryDecision::ReturnDistributionParameters() {
  return NULL;
}

int robbery3ADVISE::DoNothingAdversaryDecision::Rank() {
  return 1;
}

BaseActionClass* robbery3ADVISE::DoNothingAdversaryDecision::Fire() {
  (*(MakeDecision_Mobius_Mark))--;
  (*(DoNothingWeight_Mobius_Mark))--;
  (*(DoNothingChosen_Mobius_Mark))++;
  return this;
}

/*====================== DistractManagerWithPhonyPhoneCallAdversaryDecision ========================*/

robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::DistractManagerWithPhonyPhoneCallAdversaryDecision() {
  commonInit("DistractManagerWithPhonyPhoneCallAdversaryDecision", 4, Instantaneous, RaceEnabled, 2, 1, false);
}

robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::~DistractManagerWithPhonyPhoneCallAdversaryDecision() {
}

void robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::LinkVariables() {
  MakeDecision->Register(&MakeDecision_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallChosen->Register(&DistractManagerWithPhonyPhoneCallChosen_Mobius_Mark);
  DistractManagerWithPhonyPhoneCallWeight->Register(&DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark);
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::Enabled() {
  OldEnabled = NewEnabled;
  NewEnabled = (((*(MakeDecision_Mobius_Mark)) >= 1));
  return NewEnabled;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::Weight() {
  return DistractManagerWithPhonyPhoneCallWeight->Mark();
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::ReactivationPredicate() {
  return false;
}

bool robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::ReactivationFunction() {
  return false;
}

double robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::SampleDistribution() {
  return 0;
}

double* robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::ReturnDistributionParameters() {
  return NULL;
}

int robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::Rank() {
  return 1;
}

BaseActionClass* robbery3ADVISE::DistractManagerWithPhonyPhoneCallAdversaryDecision::Fire() {
  (*(MakeDecision_Mobius_Mark))--;
  (*(DistractManagerWithPhonyPhoneCallWeight_Mobius_Mark))--;
  (*(DistractManagerWithPhonyPhoneCallChosen_Mobius_Mark))++;
  return this;
}

