#include "robberyRMPVModel.h"

robberyRMPVModel::robberyRMPVModel(bool expandTimeArrays) {
  TheModel=new robberyADVISE();
  DefineName("robberyRMPVModel");
  CreatePVList(3, expandTimeArrays);
  Initialize();
}



PerformanceVariableNode* robberyRMPVModel::createPVNode(int pvindex, int timeindex) {
  switch(pvindex) {
  case 0:
    return new robberyRMPV0(timeindex);
    break;
  case 1:
    return new robberyRMPV1(timeindex);
    break;
  case 2:
    return new robberyRMPV2(timeindex);
    break;
  }
  return NULL;
}
