#include "robberyRM3PVNodes.h"

robberyRM3PV0Worker::robberyRM3PV0Worker()
{
  NumModels = 1;
  TheModelPtr = new BaseModelClass**[NumModels];
  TheModelPtr[0] = (BaseModelClass**)(&robbery3);
}

robberyRM3PV0Worker::~robberyRM3PV0Worker() {
  delete [] TheModelPtr;
}

double robberyRM3PV0Worker::Reward_Function(void) {

return robbery3->ManagerOffDuty->Mark();

return (0);



}

robberyRM3PV0::robberyRM3PV0(int timeindex) {
  TheModelPtr = (BaseModelClass**)(&Therobbery3RJRJ);
  double startpts[13]={0.0, 5.0, 10.0, 15.0, 20.0, 25.0, 30.0, 35.0, 40.0, 45.0, 50.0, 55.0, 60.0};
  double stoppts[13]={0.0, 5.0, 10.0, 15.0, 20.0, 25.0, 30.0, 35.0, 40.0, 45.0, 50.0, 55.0, 60.0};
  Initialize("k_manager",(RewardType)0,13, startpts, stoppts, timeindex, 0,1, 1);
  AddVariableDependency("ManagerOffDuty","robbery3");
}

robberyRM3PV0::~robberyRM3PV0() {
  for(int i = 0; i < NumberOfWorkers; i++) {
    delete[] WorkerList[i]->Name;
    delete WorkerList[i];
  }
}

void robberyRM3PV0::CreateWorkerList(void) {
  for(int i = 0; i < NumberOfWorkers; i++)
    WorkerList[i] = new robberyRM3PV0Worker;
}
