#ifndef _ROBBERYRM3_PVS_
#define _ROBBERYRM3_PVS_
#include <math.h>
#include "Performance_Variables/PerformanceVariableNode.hpp"
#include "Composed/robbery3RJ/robbery3RJRJ.h"
#include "Performance_Variables/InstantOfTime.hpp"


class robberyRM3PV0Worker:public InstantOfTime
{
 public:
  robbery3ADVISE *robbery3;
  
  robberyRM3PV0Worker();
  ~robberyRM3PV0Worker();
  double Reward_Function();
};

class robberyRM3PV0:public PerformanceVariableNode
{
 public:
  robbery3RJRJ *Therobbery3RJRJ;

  robberyRM3PV0Worker *robberyRM3PV0WorkerList;

  robberyRM3PV0(int timeindex=0);
  ~robberyRM3PV0();
  void CreateWorkerList(void);
};

#endif
